Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis
Class AbstractMessageWriter

    java.lang.Object
      org.codehaus.xfire.aegis.AbstractMessageWriter

All Implemented Interfaces:
  MessageWriter

Direct Known Subclasses:
  AttributeWriter, AttributeWriter, ElementWriter, YOMWriter

    public abstract class AbstractMessageWriter

extends java.lang.Object
implements MessageWriter

Basic type conversion functionality for writing messages.

Author:
  Dan Diephouse

Constructor Summary
`AbstractMessageWriter()` Create a LiteralWriter but without writing an element name.

Method Summary
`void` | `writeValueAsBoolean(boolean b)`
`void` | `writeValueAsDouble(java.lang.Double d)`
`void` | `writeValueAsFloat(java.lang.Float f)`
`void` | `writeValueAsInt(java.lang.Integer i)`
`void` | `writeValueAsLong(java.lang.Long l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.aegis.MessageWriter
`close, getAttributeWriter, getAttributeWriter, getAttributeWriter, getElementWriter, getElementWriter, getElementWriter, writeValue`

Constructor Detail

### AbstractMessageWriter

    public AbstractMessageWriter()

  Create a LiteralWriter but without writing an element name.

  Parameters:
    `writer` -

Method Detail

### writeValueAsInt

    public void writeValueAsInt(java.lang.Integer i)

  Specified by:
    `writeValueAsInt` in interface `MessageWriter`
  See Also:
    `MessageWriter.writeValueAsInt(java.lang.Integer)`

### writeValueAsDouble

    public void writeValueAsDouble(java.lang.Double d)

  Specified by:
    `writeValueAsDouble` in interface `MessageWriter`
  See Also:
    `MessageWriter.writeValueAsDouble(java.lang.Double)`

### writeValueAsLong

    public void writeValueAsLong(java.lang.Long l)

  Specified by:
    `writeValueAsLong` in interface `MessageWriter`
  See Also:
    `MessageWriter.writeValueAsLong(java.lang.Long)`

### writeValueAsFloat

    public void writeValueAsFloat(java.lang.Float f)

  Specified by:
    `writeValueAsFloat` in interface `MessageWriter`
  See Also:
    `MessageWriter.writeValueAsFloat(java.lang.Float)`

### writeValueAsBoolean

    public void writeValueAsBoolean(boolean b)

  Specified by:
    `writeValueAsBoolean` in interface `MessageWriter`
  See Also:
    `MessageWriter.writeValueAsBoolean(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.